# Class ShadeSpec

java.lang.Object
uk.ac.starlink.ttools.plot2.task.ShadeSpec

public class ShadeSpec extends Object
Specifies a shade axis in sufficient detail to recreate it as part of a STILTS plotting command.

Since:
  29 Aug 2023
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`ShadeSpec(ConfigMap config, boolean isVisible, String label, double crowding)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`ConfigMap`
`getConfig()`
Returns config map including aux axis items.
`double`
`getCrowding()`
Returns crowding factor for aux axis.
`String`
`getLabel()`
Returns aux axis label.
`boolean`
`isVisible()`
Indicates whether aux axis is visible.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ShadeSpec

public ShadeSpec(ConfigMap config, boolean isVisible, String label, double crowding)
Constructor.

Parameters:
  `config` - configuration options including aux axis items
  `isVisible` - true iff aux axis is displayed
  `label` - aux axis label
  `crowding` - crowding factor on aux axis

## Method Details

### getConfig

public ConfigMap getConfig()
Returns config map including aux axis items.

Returns:
  config map

### isVisible

public boolean isVisible()
Indicates whether aux axis is visible.

Returns:
  true for visible aux axis, false for invisible

### getLabel

public String getLabel()
Returns aux axis label.

Returns:
  aux axis label

### getCrowding

public double getCrowding()
Returns crowding factor for aux axis.

Returns:
  aux axis crowding